library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.numeric_std.all;


package motion_controller_pkg is
    type position_vector is array (natural range <>) of unsigned(18 downto 0);
    type quadrature_invalid_count_vector is
        array (natural range <>) of unsigned(7 downto 0);
    type dac_vector is array (natural range <>) of unsigned(15 downto 0);
    type natural_vector is array (natural range <>) of natural;
end package motion_controller_pkg;
